<xml> </xml>

db4o |

# ObjectContainer.Query Method (Class)

queries for all instances of a class.

ObjectSet Query(
Class clazz
);

#### Parameters

clazz
  the class to query for.

#### Return Value

the com.db4o.ObjectSet returned by the query.

#### Remarks

queries for all instances of a class.

#### See Also

ObjectContainer Interface | com.db4o Namespace | ObjectContainer.Query Overload List